## org.codehaus.groovy.grails.test.support
Class GrailsTestTransactionInterceptor

    java.lang.Object
      org.codehaus.groovy.grails.test.support.GrailsTestTransactionInterceptor

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class GrailsTestTransactionInterceptor

extends Object
implements groovy.lang.GroovyObject

Field Summary
`protected Object` `transactionManager`
`protected Object` `transactionStatus`

Constructor Summary
`GrailsTestTransactionInterceptor(ApplicationContext applicationContext)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`void` `destroy()`
`void` `doInTransaction(groovy.lang.Closure body)`
`ApplicationContext` `getApplicationContext()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`static String` `getTRANSACTIONAL()`
`void` `init()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isTransactional(Object test)`
`void` `setApplicationContext(ApplicationContext value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transactionManager

    protected Object transactionManager

### transactionStatus

    protected Object transactionStatus

Constructor Detail

### GrailsTestTransactionInterceptor

    public GrailsTestTransactionInterceptor(ApplicationContext applicationContext)

Method Detail

### getTRANSACTIONAL

    public static String getTRANSACTIONAL()

### getApplicationContext

    public ApplicationContext getApplicationContext()

### setApplicationContext

    public void setApplicationContext(ApplicationContext value)

### init

    public void init()

### destroy

    public void destroy()

### doInTransaction

    public void doInTransaction(groovy.lang.Closure body)

### isTransactional

    public boolean isTransactional(Object test)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project